View Issue Details

IDProjectCategoryView StatusLast Update
0007045WYSIWYG Editor + Media Gallerymodule WYSIWYG Editor + Media Gallery - subpublic2020-06-22 15:51
Reporternetfeld 
PrioritynormalSeveritycriticalReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.1.1 
Target VersionFixed in VersionNext Minor Version 
Summary0007045: Editor breaks smarty function
DescriptionWhen saving the cms page id "oxrighttocancellegend" in WYSIWIG mode - the shop stops with an uncaught exeption on checkout process (check agb).
Steps To Reproduce1) Just enable the WYSIWIG editor and save the cms snipplate oxrighttocancellegend.

2) Administration Area -> Master Settings -> Core Settings -> Settings -> Order -> "Users have to Confirm General Terms and Conditions during Check-Out"

3) Go to the check-out page.
Additional Information[04 Nov 16:57:50.689534 2019] [uncaught error] [type E_USER_ERROR] [file /var/www/kunde/vendor/smarty/smarty/libs/Smarty.class.php] [line 1100] [code ] [message Smarty error: [in ox:oxrighttocancellegend9af922f6238d07b8b27d93ef8a9542f20 line 7]: syntax error: unrecognized tag: $oCont->oxcontents__oxtitle->value (Smarty_Compiler.class.php, line 441)]
Tagswysiwig

Relationships

related to 0006779 resolvedanton.fedurtsya Summernote breaks smarty variables 

Activities

QA

2019-11-05 10:21

administrator   ~0013031

Last edited: 2019-11-05 10:37

View 2 revisions

Added reproduce step 2.
- MK

QA

2019-11-05 10:21

administrator   ~0013032

-MK

mario_lorenz

2019-11-17 20:49

developer   ~0013043

Dublicate Bug Entry: https://bugs.oxid-esales.com/view.php?id=6779

mario_lorenz

2019-11-17 20:50

developer   ~0013044

Pull Request for Fix: https://github.com/OXID-eSales/ddoe-wysiwyg-editor-module/pull/13

anton.fedurtsya

2019-12-17 13:24

manager   ~0013073

Pull request merged

netfeld

2020-06-19 11:45

reporter   ~0013255

Just tried out in a brand new installed Oxid CE 6.2.1. .. and the Bug is still alive.
The Version of the wysiwig is still 2.1.1? It might be merged in ddoe/wysiwyg-editor-module? - but the version is not updated in oxid?
Kind of frustrating.

QA

2020-06-22 15:51

administrator   ~0013256

Hey netfeld,

the bug was fixed, but the changes were not released yet.
The PR will be part of the next minor release (2.3.0): https://github.com/OXID-eSales/ddoe-wysiwyg-editor-module/blob/master/CHANGELOG.md#fixed

Kind regards
-MK